name: Label PRs based on size

on: [pull_request]

jobs:
  add_pr_size_label:
    runs-on: ubuntu-latest
    name: Check PR size

    steps:
      - name: Check out code
        uses: actions/checkout@v4

      - name: Label and comment PR
        uses: boschresearch/pr-size-labeler@v5.0.1
        with:
          bucketConfigFile: ".gitea/size.yml"
